-- $Name: СКАЗКА О НАДЕЖДЕ$
-- Автор: Дударь Дмитрий
instead_version "1.3.1"
game.codepage="UTF-8";
game.act = 'Не получается.';
game.inv = 'Гм.. Странная штука..';
game.use = 'Нет, так не получится.';

global {
q1 = 0;
q2 = 0;
q3 = 0;
q4 = 0;
q5 = 0;
st1 = 0;
st2 = 0;
st3 = 0;
}

main = room {
    pic = 'data/1.jpg';
	forcedsc = true;
	nam = "СКАЗКА О НАДЕЖДЕ";
	obj = {vway("a1", [[Главная героиня этой маленькой пьесы - молодая учительница пения Надежда. 
	Сейчас она спит, видит сладкие грёзы. Но реальность жестока, и уже совсем скоро ей прийдётся {проснуться}.]], 'loc1')
	},
	enter = function()
		set_music('data/1.ogg');
	end,
};
loc1 = room {
    pic = 'data/2.jpg';
	nam = "Пробуждение";
	obj = {vway("a1", [[Надя очнулась в автобусе. Поправив платье, она посмотрела в окно. 
	Автобус стоял на школьном дворе. ^"Что я здесь делаю в такое позднее время?" - спросила она себя. 
	Но ответ был слишком горьким, чтобы принять его. Надя решила выйти {наружу}.]], 'loc2');
	},
	enter = function()
		set_music('data/2.ogg');
	end,
};
bus = obj{
     nam = 'автобус';
     dsc = 'На школьном дворе стоял {автобус}.';
     act = '"Этот автобус приносит несчастья," - подумала Надя.';
};
loc2 = room {
    pic = 'data/3.jpg';
	forcedsc = true;
	nam = "Возле входа";
	obj = {bus,gates,
	vway("a1", [[Надя могла {войти} в школу.]], 'loc3')
	},
	enter = function()
		set_music('data/2.ogg');
	end,
};
loc3 = room {
    pic = 'data/4.jpg';
	forcedsc = true;
	nam = "Вестибюль";
	obj = {
	vway("a1", [[Надя могла идти в левое {крыло},]], 'loc4');
	vway("a2", [[в правое {крыло},]], 'loc5');
	vway("a1", [[по лестнице {наверх}]], 'loc9');
	vway("a1", [[или  выйти на {крыльцо}.]], 'loc2');
	},
	enter = function()
		set_music('data/3.ogg');
	end,
};
door1 = obj{
     nam = 'дверь';
     dsc = [[Ступеньки вели к массивной {двери} в актовый зал.]];
     act= function()
     if q1 < 7 then p[[Двери были прочно закрыты. ^"Театр ждёт своих актёров," - грустно подумала Надя.]];
     else 
         if q2 == 7 then goto('ufo_ending');
         else goto('loc23');end;
     end;
     end;
};
tab1 = obj{
     nam = 'табличка';
     dsc = [[На ней висела {табличка}.]];
     act = [[Надя прочитала табличку:
     ^"Добро пожаловать! Приглашаем Вас на спектакль "Волк и семеро козлят".
     ^Главные роли исполняют:
     ^Никита, Аня, Денис, Елена, Женя, Диана и Артём.
     ^Художественный руководитель: уч. музыки и пения НАДЕЖДА Владимировна]];
};
loc4 = room {
    pic = 'data/7.jpg';
	forcedsc = true;
	nam = "Первый этаж, левое крыло";
	obj = {door1,tab1,
	vway("a1", [[Надя могла идти в музыкальный {класс}]], 'loc6');
	vway("a1", [[или  вернуться в {вестибюль}.]], 'loc3');
	},
	enter = function()
		set_music('data/3.ogg');
	end,
};
loc5 = room {
    pic = 'data/8.jpg';
	forcedsc = true;
	nam = "Первый этаж, правое крыло";
	obj = {
	vway("a1", [[Надя могла идти в кабинет {биологии},]], 'loc7');
	vway("a2", [[к спортивному  {залу}]], 'loc8');
	vway("a1", [[или  вернуться в {вестибюль}.]], 'loc3');
	},
	enter = function()
		set_music('data/3.ogg');
	end,
};
piano = obj{
     nam = 'пианино';
     dsc = 'В углу стоял {рояль}.';
     act = 'Надя вспомнила те беззаботные дни, когда они с ребятами разучивали новые песни.';
};
jena = menu{
     nam = 'Женя';
     dsc = 'За ним пряталась {Женя}.';
     act = function() q1 = q1 + 1; if q1 == 5 then q2 = q2 + 1; end; 
     p[[- Женя, что ты здесь делаешь?  - спросила Надя.
     ^- Прячусь от волка, конечно. У нас же сегодня спектакль!
     Вы разве не помните, Надежда Владимировна?
     И я там буду петь! Ведь я хочу стать известной певицей, когда вырасту!
     ^- Ладно, тогда пойдём. Свои мечты надо воплощать в жизнь.]];
     inv():add('jena'); objs('loc6'):del('jena'); 
     end; 
     inv = [[Женя сказала, опустив глаза:
     ^- Извините, что тогда обозвала Вас идиоткой. Если бы не Вы, я никогда бы не 
     восстановила голос после простуды.]];
}
loc6 = room {
    pic = 'data/6.jpg';
	forcedsc = true;
	nam = "Музыкальный класс";
	obj = {piano,jena,
	vway("a1", [[Надя могла {выйти} из класса.]], 'loc4');
	},
	enter = function()
		set_music('data/5.ogg');
	end,
};
schaf = obj{
    nam = 'шкаф';
    dsc = 'В углу стоял высокий {шкаф}.';
    act = [[Надя открыла шкаф и увидела там пластмассовый скелет. 
    ^"У каждого свои скелеты в шкафу," - подумала она.]];
};
elena = menu{
    nam = 'Елена';
    dsc = 'Под партой пряталась {Елена}.';
    inv = [[Вдруг Елена спросила:
    ^- Как Вы думаете, я ещё выйду замуж?
    ^- Я уверена, ты найдёшь своего принца, - ответила Надя.]];
    act = function() q1 = q1 + 1; if q1 == 4 then q2 = q2 + 1; end; 
    p[[- Елена, вылезай. Что ты там ещё придумала?
    ^- Это всё из-за Сергея. Сначала он называл меня Еленой Прекрасной. А потом... заставил сделать аборт! 
    И это в одинадцатом классе... как же мне дальше жить?
    ^- Ты должна  быть сильной, Лена. У тебя ещё всё впереди! Так что не вешай нос! - подбодрила её Надя.]];
    objs('loc7'):del('elena');inv():add('elena');
       end;
};
loc7 = room {
    pic = 'data/9.jpg';
	forcedsc = true;
	nam = "Кабинет биологии";
	obj = {schaf,elena,
	vway("a1", [[Надя могла {выйти} из класса.]], 'loc5');
	},
	enter = function()
		set_music('data/5.ogg');
	end,
};
artem = menu{
    nam = 'Артём';
    dsc = 'На нём висел {Артём}.';
    inv = [[Артём заявил:
    ^- Всё, с завтрашнего дня начинаю заниматься спортом!
    ^- Молодец, Артём, будешь сильным и здоровым!
    ]];
    act = function() q1 = q1 + 1; if q1 == 7 then q2 = q2 + 1; end; 
    p[[- Артём, ты чего туда забрался?
    ^- Эти дебилы, Макс и Даня, снова хотели меня побить. Как же они меня достали! 
    ^- Не волнуйся, Артём, они уже давно ушли. Пойдём, я не дам тебя в обиду.]];
     objs('loc8'):del('artem'); inv():add('artem');
    end;
};
busket = obj{
      nam = 'канат';
      dsc = [[С потолка свисал {канат}.]];
      act = 'Надя попробовала залезть на канат, но у неё ничего не получилось.';
};
loc8 = room {
    pic = 'data/10.jpg';
	forcedsc = true;
	nam = "Спортивный зал";
	obj = {busket,artem,
	vway("a1", [[Надя могла {уйти} из спортзала.]], 'loc5');
	},
	enter = function()
		set_music('data/5.ogg');
	end,
};
loc9 = room {
    pic = 'data/11.jpg';
	forcedsc = true;
	nam = "Второй этаж, на лестнице";
	obj = {
    vway("a1", [[Надя могла идти в левое {крыло},]], 'loc10');
	vway("a2", [[в правое {крыло},]], 'loc13');
	vway("a1", [[по лестнице {наверх}]], 'loc16');
	vway("a1", [[или  спуститься {вниз}.]], 'loc3');
	},
	enter = function()
		set_music('data/3.ogg');
	end,
};
loc10 = room {
    pic = 'data/12.jpg';
	forcedsc = true;
	nam = "Второй этаж, левое крыло";
	obj = {
    vway("a1", [[Надя могла идти в кабинет {географии},]], 'loc11');
	vway("a2", [[в медицинский {пункт}]], 'loc12');
	vway("a1", [[или  вернуться к {лестнице}.]], 'loc9');
	},
	enter = function()
		set_music('data/3.ogg');
	end,
};
atlas = obj{
      nam = 'карта';
      dsc = 'На стене висела {карта} мира.';
      act = '"Школа для ребёнка - целый мир," - подумала Надя.';
};
denis = menu{
      nam = 'Денис';
      dsc = 'Её внимательно рассматривал {Денис}.';
      inv = [[- Знаете, почему я убегал из дома? Мой отец пьяница. Был. 
      Но теперь мы с мамой можем вздохнуть спокойно. Выпивка не доводит до добра, - сказал Денис.
      ^- Наверное, в глубине души он всё-таки любил тебя, - ответила ему Надя.]];
      act = function() q1 = q1 + 1; if q1 == 3 then q2 = q2 + 1; end; 
      p[[- Надежда Николаевна, помните, Вы обещали нам экскурсию в заповедник?
      ^- Помню, Денис, слишком хорошо помню...
      ^- Так мы поедем? Во мне горит дух путешественника.
      ^- Если бы ты не сбегал так часто из дома...
      ^- Я же сказал, что больше так не буду. Я держу слово.]];
      objs('loc11'):del('denis'); inv():add('denis');
      end;
};
loc11 = room {
    pic = 'data/13.jpg';
	forcedsc = true;
	nam = "Кабинет географии";
	obj = {atlas, denis,
    vway("a1", [[Надя могла выйти из {кабинета}.]], 'loc10');
	},
	enter = function()
		set_music('data/5.ogg');
	end,
};
bed = obj{
      nam = 'кровать';
      dsc = 'В центре стояла {кровать}.';
      act = '"Под кроватью ничего нет, странно," - подумала Надя.'; 
};
loc12 = room {
    pic = 'data/14.jpg';
	forcedsc = true;
	nam = "Медицинский пункт";
	obj = {bed,
    vway("a1", [[Надя могла {выйти} из медпункта.]], 'loc10');
	},
	enter = function()
		set_music('data/5.ogg');
	end,
};
loc13 = room {
    pic = 'data/15.jpg';
	forcedsc = true;
	nam = "Второй этаж, правое крыло";
	obj = {
    vway("a1", [[Надя могла идти в кабинет {директора},]], 'loc14');
	vway("a2", [[в {столовую}]], 'loc15');
	vway("a1", [[или  вернуться к {лестнице}.]], 'loc9');
	},
	enter = function()
		set_music('data/3.ogg');
	end,
};
stol = obj{
    nam = 'Стол';
    dsc = 'Стол директора был завален {бумагами}.';
    act = [[Среди документов Надя нашла отзыв о себе: 
    ^"Надежда Владимировна показыает большие успехи как педагог. Дети обожают её. 
    Она помогает проводить вечера самодеятельности. Вообщем, умница и красавица. 
    Я даже приглашал её на свидание, но она отказалась. ^Что ж, я слишком стар для неё, 
    с этим не поспоришь."]];
};
loc14 = room {
    pic = 'data/16.jpg';
	forcedsc = true;
	nam = "Кабинет директора";
	obj = {stol,
   vway("a1", [[Надя могла {выйти} из кабинета.]], 'loc13');
	},
	enter = function()
		set_music('data/5.ogg');
	end,
};
stol1 = obj{
    nam = 'Стол';
    dsc = '{Стойка} продавца пустовала.';
    act = [[Надя вспомнила, как дети устроили в столовой стрельбу котлетами и улыбнулась.]];
};
anya = menu{
      nam = 'Аня';
      dsc = 'За одним из столов {Аня} ела торт.';
      inv = [[Аня обратилась к Наде:
      ^- Я однажды подслушала за дверью, как папа сказал, что, возможно, я не его дочка. 
      Я тогда громко разрыдалась, и он долго утешал меня. Но даже тогда я чувствовала, что он 
      сомневается.]];
      act = function() q1 = q1 + 1; if q1 == 2 then q2 = q2 + 1; end; 
      p[[- Спасибо Вам большое за торт, Надежда Владимировна. День рожденья - это здорово!
      Вот только папа с мамой мне ничего не подарили. Они уже полгода в разводе
       и всё время ругаются, а на меня редко обращают внимание. Когда это всё закончится?
      ^- Всё наладится, не волнуйся, - обнадёжила её Надя.]];
      objs('loc15'):del('anya'); inv():add('anya');
      end;
};
loc15 = room {
    pic = 'data/17.jpg';
	forcedsc = true;
	nam = "Столовая";
	obj = {stol1,anya,
   vway("a1", [[Надя могла {уйти} из столовой.]], 'loc13');
	},
	enter = function()
		set_music('data/5.ogg');
	end,
};
loc16 = room {
    pic = 'data/18.jpg';
	forcedsc = true;
	nam = "Третий этаж, коридор";
	obj = {
    vway("a1", [[Надя могла идти в левое {крыло},]], 'loc17');
	vway("a2", [[в правое {крыло}]], 'loc20');
	vway("a1", [[или  спуститься {вниз}.]], 'loc9');
	},
	enter = function()
		set_music('data/3.ogg');
	end,
};
loc17 = room {
    pic = 'data/19.jpg';
	forcedsc = true;
	nam = "Третий этаж, левое крыло";
	obj = {
    vway("a1", [[Надя могла идти в кабинет {физики},]], 'loc18');
	vway("a2", [[в кабинет {химии}]], 'loc19');
	vway("a1", [[или  вернуться в {коридор}.]], 'loc16');
	},
	enter = function()
		set_music('data/3.ogg');
	end,
};
stolf = obj{
      nam = 'стол';
      dsc = 'Над классом возвышался учительский {стол}.';
      act = '"Однажды там нашли котёнка," - вспомнила Надя.';
};
loc18 = room {
    pic = 'data/23.jpg';
	forcedsc = true;
	nam = "Кабинет физики";
	obj = {stolf,
   vway("a1", [[Надя могла {выйти} из класса.]], 'loc17');
	},
	enter = function()
		set_music('data/5.ogg');
	end,
};
win = obj{
    nam = 'окно';
    dsc = 'Все {окна} в классе были зашторены.';
    act = [[Откинув занавеску, Надя посмотрела в окно и увидела автобус. 
    "Иногда правду лучше не видеть," - подумала она.]];
};
nikita = menu{
       nam = 'Никита';
       dsc = [[Возле учительского стола стоял {Никита}.]];
        inv = [[
        - Я недавно узнал, что любовь это всего лишь химическая реакция, - сказал Никита.
        ^- А вот дружба живёт у нас в сердцах, - ответила ему Надя.]];
       act = function() q1 = q1 + 1; if q1 == 1 then q2 = q2 + 1; end; 
      p[[- Надежда Владимировна, помните, как я признался Вам в любви 
      и от отчаяния наглотался таблеток? Я тогда чуть не умер, зато поумнел.
       Теперь химия - мой любимый предмет, - сказал Никита.
       ^- Да, ты меня тогда страшно напугал, -  вспомнила Надя.]];
      objs('loc19'):del('nikita'); inv():add('nikita');
      end;
};
loc19 = room {
    pic = 'data/22.jpg';
	nam = "Кабинет химии";
	obj = {win,nikita,
   vway("a1", [[Надя могла {выйти} из класса.]], 'loc17');
	},
	enter = function()
		set_music('data/5.ogg');
	end,
};
loc20 = room {
    pic = 'data/24.jpg';
	forcedsc = true;
	nam = "Третий этаж, правое крыло";
	obj = {
    vway("a1", [[Надя могла идти в кабинет {математики},]], 'loc21');
	vway("a2", [[в {туалет}]], 'loc22');
	vway("a1", [[или  вернуться в {коридор}.]], 'loc16');
	},
	enter = function()
		set_music('data/3.ogg');
	end,
};
plakat = obj{
         nam = 'плакаты';
         dsc = 'На стенах висели {плакаты}.';
         act = '"Столько формул, но в итоге всё решает случай," - подумала Надя.';
};
diana = menu{
       nam = 'Диана';
       dsc = [[Возле доски стояла {Диана}.]];
        inv = [[
        - А Вы учительницей много денег зарабатываете? - спросила Диана.
        ^- Гроши. Но я не жалуюсь, я люблю свою работу, - ответила ей Надя.]];
       act = function() q1 = q1 + 1; if q1 == 6 then q2 = q2 + 1; end; 
      p[[- Меня считают некрасивой, но зато я самая умная! И когда вырасту, 
      буду успешной состоятельной женщиной! У меня будет столько денег, 
      что все остальные будут мне завидовать! - захныкала Диана.
      ^- Не в деньгах счастье, Диана. Гораздо важнее остаться хорошим человеком, - ответила ей Надя. ]];
      objs('loc21'):del('diana'); inv():add('diana');
      end;
};
loc21 = room {
    pic = 'data/21.jpg';
	nam = "Кабинет математики";
	obj = {plakat,diana,
   vway("a1", [[Надя могла {выйти} из класса.]], 'loc20');
	},
	enter = function()
		set_music('data/5.ogg');
	end,
};
luk = obj{
      nam = 'люк';
      dsc = 'Надя заметила {люк} в потолке.';
      act = 'Люк был закрыт. Он пугал Надю.';
};
loc22 = room {
    pic = 'data/25.jpg';
	nam = "Туалет";
	obj = {luk,
   vway("a1", [[Она могла {уйти} из туалета.]], 'loc20');
	},
	enter = function()
		set_music('data/5.ogg');
	end,
};
luk1 = obj{
    nam = 'люк';
    dsc = 'В полу открылся {люк}.';
    act = function()
    p[[Надя прыгнула вниз... и оказалась в туалете.]];
    goto('loc25');
    end;
};
loc23 = room {
    pic = 'data/26.jpg';
	nam = "Сцена";
	obj = {
   vway("a1", [[Надя могла {зайти} в домик.]], 'loc24');
	},
	enter = function()
	if q1 == 9 then 
	p[[Внезапно из домика донеслись детские крики:
	^"Это всё неправда! Это всё ложь! На самом деле нас съел волк, и теперь мы сидим у него в животе! 
	Надежда Владимировна, пожалуйста, спасите нас!"]];q1 = 10;
	objs('loc24'):del('gazeta');
	objs('loc24'):add('luk1',1);
	end;
	if q1 == 7 then p[[Двери открылись, впуская главных актёров пьесы.
	^Увидев на сцене домик семерых козлят, ребята закричали:
	^- Ура! Это наш домик! Мы сможем там веселиться!
	^- Постойте, дайте сначала мне... - попыталась остановить их Надежда, 
	но они уже забежали внутрь. Надя грустно вздохнула.]]; q1 = 8;
	inv():del('nikita');inv():del('anya');inv():del('diana');inv():del('elena');
	inv():del('jena');inv():del('denis');inv():del('artem');
	end;
		set_music('data/2.ogg');
	end,
};
gazeta = obj{
         nam = 'газета';
         dsc = 'Внутри никого не оказалось. На полу лежала {газета}.';
         act = function()
         p[[Надя подняла газету и увидела на первой полосе статью:
         ^"С прискорбием сообщаем, что вчера школьный автобус с детьми, ехавшими домой после экскурсии в лесу, 
         попал в страшную аварию. 
         Семеро детей и водитель погибли на месте. Ехавшая вместе с ними 
         учительница до сих пор находится в коме."]]; q1 = 9;
         end;
};
loc24 = room {
    pic = 'data/27.jpg';
	nam = "Домик семерых козлят";
	obj = {gazeta,
   vway("a1", [[^Надя могла {уйти} из домика.]], 'loc23');
	},
	enter = function()
		set_music('data/2.ogg');
	end,
};
ufo_ending = room{
        pic = 'data/28.jpg';
        nam = 'UFO ENDING';
        dsc = [[Двери открылись, впуская главных актёров пьесы.
	^Увидев над сценой летающую тарелку, ребята закричали:
	^- Ура! Это наш домик! Мы сможем там веселиться!
	^- Постойте, дайте сначала мне... - попыталась остановить их Надежда, 
	но они уже забежали внутрь.
	^В газетах написали о пропаже группы школьников в лесу. Они нашлись 
	через месяц. На том же месте. Никто не помнил, что с ними было за эти дни. 
	И лишь водитель дядя Петя не вернулся. Возможно, он обрёл то, что когда-то давно потерял.]];
	enter = function()
	inv():del('nikita'); inv():del('anya'); inv():del('denis'); inv():del('elena');
	inv():del('jena'); inv():del('diana'); inv():del('artem');
		set_music('data/4.ogg');
	end,
};
kabinka = obj{
        nam = 'кабинка';
        dsc = '{Кабинка} туалета была открыта.';
        act = function()
          if q3 == 0 then p[["Там можно спрятаться," - подумала Надя.]];
          else q4 = 0; st1 = 1;
          p[[Надя спяталась в кабинке. Прошло несколько минут.]]; end;
        end;
};
loc25 = room {
    pic = 'data/25a.jpg';
	nam = "Туалет";
	obj = {kabinka,
   vway("a1", [[Надя могла {уйти} из туалета.]], 'loc26');
	},
	enter = function()
	    if q3 == 0 then set_music('data/7.ogg'); 
	               else set_music('data/6.ogg'); q4 = 1; end;
	end,
};
loc26 = room {
    pic = 'data/24a.jpg';
	nam = "Третий этаж, правое крыло";
	obj = {
    vway("a1", [[Надя могла идти в кабинет {математики},]], 'loc27');
	vway("a2", [[в {туалет}]], 'loc25');
	vway("a1", [[или  вернуться в {коридор}.]], 'loc28');
	},
	enter = function()
	    if q3 == 0 then set_music('data/7.ogg'); 
	               else set_music('data/6.ogg'); end;
	    if q4 == 1 then goto('wolf2'); end; 
	    if (st1 == 1) and (q4 == 0) then p[[Из кабинета математики раздался волчий вой.]];end;         
	end,
};
diana1 = obj{
       nam = 'дневник Дианы';
       dsc = 'На парте лежал {дневник} Дианы.';
       tak = 'Надя взяла дневник Дианы.';
       inv = [[Надя открыла дневник Дианы. 
       ^На последней странице было написано:
       ^- Настоящее уныло:]];
};
loc27 = room {
    pic = 'data/21a.jpg';
	nam = "Кабинет математики";
	obj = {plakat,diana1,
   vway("a1", [[Надя могла {выйти} из класса.]], 'loc26');
	},
	enter = function()
	    if q3 == 0 then set_music('data/7.ogg'); 
	               else set_music('data/6.ogg'); q4 = 1; end;
	    if st1 == 1 then goto('wolf2'); end; 
	end,
};
loc28 = room {
    pic = 'data/18a.jpg';
	nam = "Третий этаж, коридор";
	obj = {
    vway("a1", [[Надя могла идти в левое {крыло},]], 'loc29');
	vway("a2", [[в правое {крыло}]], 'loc26');
	vway("a1", [[или  спуститься {вниз}.]], 'loc32');
	},
	enter = function()
	    if (st2 == 1) then p[[Надя побежала по ступенькам, споткнулась и упала.]];
                        goto('wolf2'); end; 	
	    if st1 == 2 then goto('wolf2'); end; 
	    if (st1 == 0) and (q5 == 1) then goto('wolf2'); end; 
	    if st1 == 1 then p[[Волк следовал по пятам.]]; q4 = 1;end;
	    if (st1 == 0) and (q5 == 0) then q5 = 1; goto('wolf'); end;       
	end,
};
wolf1 = obj{
     nam = 'волк';
     dsc = [[Внезапно из темноты выскочил волк. Надя стала {убегать}.]];
     act = function()
     diana1:enable(); nikita1:enable(); jena1:enable(); anya1:enable(); 
     artem1:enable(); elena1:enable(); denis1:enable();  
     if q5 == 1 then goto('loc26');end;
     if q5 == 2 then goto('loc33');end;
     if q5 == 3 then goto('loc40');end;
     end;
};
wolf = room {
    pic = 'data/29.jpg';
	nam = "Волк";
	obj = {wolf1,
	},
	enter = function()
	  diana1:disable(); nikita1:disable(); jena1:disable(); anya1:disable(); 
      artem1:disable(); elena1:disable(); denis1:disable();  
	    set_music('data/6.ogg'); q3 = 1;         
	end,
};
wolf2 = room {
    nam = 'Спектакль окончен';
    pic = 'data/1.jpg';
	dsc = [[Волк набросился на несчастную Надю. 
	^- Почему же я такая невезучая? - заплакала она.
	^Надю охватила тьма. Занавес закрылся.]];	
	enter = function() 
	    inv():del('nikita1'); inv():del('anya1'); inv():del('denis1'); inv():del('elena1');
	    inv():del('jena1'); inv():del('diana1'); inv():del('artem1');
	    set_music('data/4.ogg');
             end;          
};
loc29 = room {
    pic = 'data/19a.jpg';
	nam = "Третий этаж, левое крыло";
	obj = {
    vway("a1", [[Надя могла идти в кабинет {физики},]], 'loc30');
	vway("a2", [[в кабинет {химии}]], 'loc31');
	vway("a1", [[или  вернуться в {коридор}.]], 'loc28');
	},
	enter = function()
	if q3 == 0 then set_music('data/7.ogg'); 
	           else set_music('data/6.ogg'); st1 = 2; end;
	if q4 == 2 then goto('wolf2'); end;   	    
	end,
};
stolf1 = obj{
      nam = 'стол';
      dsc = 'Над классом возвышался учительский {стол}.';
      act = function()
          if q3 == 0 then p[["Этот стол снова спас меня," - подумала Надя.]];
          else q3 = 0; q4 = 0; st1 = 3; set_music('data/7.ogg'); q5 = 0;
          p[[Надя спряталась под столом. Прошло несколько минут.]]; end;
        end;
};
loc30 = room {
    pic = 'data/23a.jpg';
	nam = "Кабинет физики";
	obj = {stolf1,
   vway("a1", [[Надя могла {выйти} из класса.]], 'loc29');
	},
	enter = function()
	    if q3 == 0 then set_music('data/7.ogg'); 
	               else set_music('data/6.ogg'); q4 = 2; end;
	end,
};
win1 = obj{
    nam = 'окно';
    dsc = 'Все {окна} в классе были зашторены.';
    act = [[Откинув занавеску, Надя посмотрела в окно. Школа 
    находилась по  водой. На дне лежал перевёрнутый автобус, опутанный водорослями.]];
};
nikita1 = obj{
       nam = 'дневник Никиты';
       dsc = 'На полу лежал {дневник} Никиты.';
       tak = 'Надя взяла школьный дневник Никиты.';
       inv = [[Надя открыла дневник Никиты. 
       ^На последней странице было написано:
       ^- Если жизнь тебя обманет,]];
};
loc31 = room {
    pic = 'data/22a.jpg';
	nam = "Кабинет химии";
	obj = {win1,nikita1,
   vway("a1", [[Надя могла {выйти} из класса.]], 'loc29');
	},
	enter = function()
	    if q3 == 0 then set_music('data/7.ogg'); 
	               else set_music('data/6.ogg'); q4 = 2; end;
	end,
};
loc32 = room {
    pic = 'data/11a.jpg';
	nam = "Второй этаж, на лестнице";
	obj = {
    vway("a1", [[Надя могла идти в левое {крыло},]], 'loc36');
	vway("a2", [[в правое {крыло}]], 'loc33');
	vway("a1", [[по лестнице {наверх}]], 'loc28');
	vway("a1", [[или спуститься {вниз}.]], 'loc39');
	},
	enter = function()
        if st1 < 3 then p[[Надя побежала по ступенькам, споткнулась и упала.]];
                        goto('wolf2'); end;
        if st3 == 1 then p[[Надя побежала по ступенькам, споткнулась и упала.]];
                        goto('wolf2');end;                
                        	
	    if st2 == 2 then goto('wolf2'); end; 
	    if (st2 == 0) and (q5 > 0) then goto('wolf2'); end; 
	    if st2 == 1 then p[[Волк следовал по пятам.]]; q4 = 1;end;
	    if (st1 == 3) and (st2 == 0) and (q5 == 0) then q5 = 2; goto('wolf'); end;       
	end,
};
loc33 = room {
    pic = 'data/15a.jpg';
	nam = "Второй этаж, правое крыло";
	obj = {
    vway("a1", [[Надя могла идти в кабинет {директора},]], 'loc34');
	vway("a2", [[в {столовую}]], 'loc35');
	vway("a1", [[или  вернуться к {лестнице}.]], 'loc32');
	},
	enter = function()
	    if q3 == 0 then set_music('data/7.ogg'); 
	               else set_music('data/6.ogg'); end;
	    if q4 == 1 then goto('wolf2'); end; 
	    if (st2 == 1) and (q4 == 0) then p[[Из кабинета директора раздался волчий вой.]];end;         
	end,
};
stol3 = obj{
    nam = 'Стол';
    dsc = 'Стол директора был завален {бумагами}.';
    act = [[Среди документов Надя нашла записку: 
    ^"Необходимо выдать материальную помощь Петру Ивановичу. 
    Он работает водителем школьного автобуса уже пять лет и зарекомендовал себя 
    как надёжный и добропорядочный человек. В прошлом месяце у него умерла дочь. 
    Прошу оказать ему всяческую поддержку и отнестись к его беде с пониманием."]];
};
loc34 = room {
    pic = 'data/16a.jpg';
	nam = "Кабинет директора";
	obj = {stol3,
   vway("a1", [[Надя могла {выйти} из кабинета.]], 'loc33');
	},
	enter = function()
	    if q3 == 0 then set_music('data/7.ogg'); 
	               else set_music('data/6.ogg'); q4 = 1; end;
	    if st2 == 1 then goto('wolf2'); end;            
	end,
};
stol2 = obj{
    nam = 'Стол';
    dsc = '{Стойка} продавца пустовала.';
    act = function()
          if q3 == 0 then p[["Однажды мне в салат попал таракан," - вспомнила Надя.]];
          else q4 = 0; st2 = 1;
          p[[Надя спряталась за стойкой. Прошло несколько минут.]]; end;
        end;
    
};
anya1 = obj{
       nam = 'дневник Ани';
       dsc = 'На стуле лежал {дневник} Ани.';
       tak = 'Надя взяла школьный дневник Ани.';
       inv = [[Надя открыла дневник Ани. 
       ^На последней странице было написано:
       ^- Не печалься, не сердись!]];
};
loc35 = room {
    pic = 'data/17a.jpg';
	nam = "Столовая";
	obj = {stol2,anya1,
   vway("a1", [[Надя могла {уйти} из столовой.]], 'loc33');
	},
	enter = function()
	    if q3 == 0 then set_music('data/7.ogg'); 
	               else set_music('data/6.ogg'); q4 = 1; end;
	end,
};
loc36 = room {
    pic = 'data/12a.jpg';
	nam = "Второй этаж, левое крыло";
	obj = {
    vway("a1", [[Надя могла идти в кабинет {географии},]], 'loc37');
	vway("a2", [[в медицинский {пункт}]], 'loc38');
	vway("a1", [[или  вернуться к {лестнице}.]], 'loc32');
	},
	enter = function()
	if q3 == 0 then set_music('data/7.ogg'); 
	           else set_music('data/6.ogg'); st2 = 2; end;
	if q4 == 2 then goto('wolf2'); end;   	    
	end,
}; 
atlas1 = obj{
      nam = 'карта';
      dsc = 'На стене висела {карта} мира.';
      act = '"Для некоторых школьная жизнь - страна кошмаров," - подумала Надя.';
};
denis1 = obj{
       nam = 'дневник Дениса';
       dsc = 'Под партой лежал {дневник} Дениса.';
       tak = 'Надя взяла школьный дневник Дениса.';
       inv = [[Надя открыла дневник Дениса. 
       ^На последней странице было написано:
       ^- В день уныния смирись:]];
};
loc37 = room {
    pic = 'data/13a.jpg';
	nam = "Кабинет географии";
	obj = {atlas1,denis1,
   vway("a1", [[Надя могла {выйти} из класса.]], 'loc36');
	},
	enter = function()
	    if q3 == 0 then set_music('data/7.ogg'); 
	               else set_music('data/6.ogg'); q4 = 2; end;
	end,
};
bed1 = obj{
      nam = 'кровать';
      dsc = 'В центре стояла {кровать}.';
      act = function()
          if q3 == 0 then p[["Иногда во время уроков мне становилось плохо," - вспомнила Надя.]];
          else q3 = 0; q4 = 0; st2 = 3; set_music('data/7.ogg'); q5 = 0;
          p[[Надя спряталась под кроватью. Прошло несколько минут.]]; end;
        end;
};
loc38 = room {
    pic = 'data/14a.jpg';
	nam = "Медицинский пункт";
	obj = {bed1,
   vway("a1", [[Надя могла {выйти} из медпункта.]], 'loc36');
	},
	enter = function()
	    if q3 == 0 then set_music('data/7.ogg'); 
	               else set_music('data/6.ogg'); q4 = 2; end;
	end,
};
loc39 = room {
    pic = 'data/4a.jpg';
	nam = "Вестибюль";
	obj = {
	vway("a1", [[Надя могла идти в левое {крыло},]], 'loc43');
	vway("a2", [[в правое {крыло}, ]], 'loc40');
	vway("a1", [[по лестнице {наверх}. Входные двери были накрепко закрыты. Из под них вытекала вода.]], 'loc32');
	},
	enter = function()
        if st2 < 3 then p[[Надя побежала по ступенькам, споткнулась и упала.]];
                        goto('wolf2'); end; 	
	    if st3 == 2 then goto('wolf2'); end; 
	    if (st3 == 0) and (q5 > 0 ) then goto('wolf2'); end; 
	    if st3 == 1 then p[[Волк следовал по пятам.]]; q4 = 1;end;
	    if (st2 == 3) and (st3 == 0) and (q5 == 0) then q5 = 3; goto('wolf'); end;       
	end,
};
loc40 = room {
    pic = 'data/8a.jpg';
	nam = "Первый этаж, правое крыло";
	obj = {
    vway("a1", [[Надя могла идти в кабинет {биологии},]], 'loc42');
	vway("a2", [[к спортивному  {залу}]], 'loc41');
	vway("a1", [[или  вернуться в {вестибюль}.]], 'loc39');
	},
	enter = function()
	    if q3 == 0 then set_music('data/7.ogg'); 
	               else set_music('data/6.ogg'); end;
	    if q4 == 1 then goto('wolf2'); end; 
	    if (st3 == 1) and (q4 == 0) then p[[Из спортивного зала раздался волчий вой.]];end;         
	end,
};
stol4 = obj{
    nam = 'записка';
    dsc = 'На полу лежала {записка}.';
    act = [[Надя прочитала записку: 
    ^"Я очень беспокоюсь за Петра Ивановича. Раньше мы с ним дружили, но теперь 
    он замкнулся  в себе, ни с кем не разговаривает. Я также знаю, что у него есть пистолет.
    Через два дня он повезёт детей на экскурсию в лес, как бы чего не вышло..."]];
};
artem1 = obj{
       nam = 'дневник Артёма';
       dsc = 'На скамейке лежал {дневник} Артёма.';
       tak = 'Надя взяла школьный дневник Артёма.';
       inv = [[Надя открыла дневник Артёма. 
       ^На последней странице было написано:
       ^- Всё мгновенно, всё пройдёт;]];
};
loc41 = room {
    pic = 'data/10a.jpg';
	nam = "Спортивный зал";
	obj = {stol4,artem1,
   vway("a1", [[Надя могла {уйти} из спортзала.]], 'loc40');
	},
	enter = function()
	    if q3 == 0 then set_music('data/7.ogg'); 
	               else set_music('data/6.ogg'); q4 = 1; end;
	    if st3 == 1 then goto('wolf2'); end;            
	end,	
};
elena1 = obj{
       nam = 'дневник Елены';
       dsc = 'На парте лежал {дневник} Елены.';
       tak = 'Надя взяла школьный дневник Елены.';
       inv = [[Надя открыла дневник Елены. 
       ^На последней странице было написано:
       ^- День веселья, верь, настанет.]];
};
schaf1 = obj{
    nam = 'шкаф';
    dsc = 'В углу стоял высокий {шкаф}.';
    act = function()
          if q3 == 0 then p[["Я устала бегать от правды," - сказала Надя скелету в шкафу.]];
          else q4 = 0; st3 = 1;
          p[[Надя спряталась в шкафу. Прошло несколько минут.]]; end;
        end;
};
loc42 = room {
    pic = 'data/9a.jpg';
	nam = "Кабинет биологии";
	obj = {schaf1,elena1,
   vway("a1", [[Надя могла {выйти} из кабинета.]], 'loc40');
	},
	enter = function()
	    if q3 == 0 then set_music('data/7.ogg'); 
	               else set_music('data/6.ogg'); q4 = 1; end;
	end,
};
dr1 = obj{
     nam = 'дверь';
     dsc = [[Ступеньки вели к массивной {двери} в актовый зал.]];
     act = function()
     goto('loc45');
     end;
};
tb1 = obj{
     nam = 'табличка';
     dsc = [[На ней висела {табличка}.]];
     act = [[Надя прочитала табличку:
     ^"Добро пожаловать на массовое убийство!
     ^В роли жертв выступают:
     ^Никита, Аня, Денис, Елена, Женя, Диана и Артём.
     ^Художественный руководитель: уч. музыки и пения НАДЕЖДА Владимировна]];
};
loc43 = room {
    pic = 'data/7a.jpg';
	nam = "Первый этаж, левое крыло";
	obj = {dr1,tb1,
	vway("a1", [[Надя могла идти в музыкальный {класс}]], 'loc44');
	vway("a1", [[или  вернуться в {вестибюль}.]], 'loc39');
	},
	enter = function()
	if q3 == 0 then set_music('data/7.ogg'); 
	           else set_music('data/6.ogg'); st3 = 2; end;
	if q4 == 2 then goto('wolf2'); end;   	    
	end,
};
piano1 = obj{
     nam = 'пианино';
     dsc = 'В углу стоял {рояль}.';
     act = function()
        if q3 == 0 then p[["Надеюсь, я ещё когда-нибудь сыграю," - подумала Надя.]];
        else q3 = 0; q4 = 0; st3 = 3; set_music('data/7.ogg'); q5 = 0;
        p[[Надя спряталась за роялем. Прошло несколько минут.]]; end;
     end;
    
}; 
jena1 = obj{
       nam = 'дневник Жени';
       dsc = 'На нём лежал {дневник} Жени.';
       tak = 'Надя взяла школьный дневник Жени.';
       inv = [[Надя открыла дневник Жени. 
       ^На последней странице было написано:
       ^- Сердце в будущем живёт;]];
};
loc44 = room{
    pic = 'data/6a.jpg';
	nam = "Музыкальный класс";
	obj = {piano1,jena1,
   vway("a1", [[Надя могла {выйти} из класса.]], 'loc43');
	},
	enter = function()
	    if q3 == 0 then set_music('data/7.ogg'); 
	               else set_music('data/6.ogg'); q4 = 2; end;
	end,
};
loc45 = room{
    pic = 'data/30.jpg';
	nam = "Актовый зал";
	obj = {
   vway("a1", [[Надя вошла в актовый зал. Красный {занавес} был закрыт.]], 'loc46');
	},
	enter = function()
	   set_music('data/7.ogg');
	end,
};
loc46 = room{
    pic = 'data/31.jpg';
	nam = "Лесная тропа";
	obj = {
   vway("a1", [[Надя отодвинула занавес и шагнула вперёд.
   ^Она оказалась на лесной тропинке, которая вела её к {неизбежному}.]], 'loc47');
	},
	enter = function()
	   set_music('data/2.ogg');
	end,
};
fire = obj{
      nam = 'Костёр';
      dsc = [[В центре поляны горел {костёр}.]];
      act = '"Костёр сжигает остатки прошлого," - подумала Надя.';
      used = function(s,w)
	q1 = q1 + 1;
	if w == nikita1 then
	   inv():del('nikita1'); 
	   if q1 == 1 then q2 = q2 + 1; end;
	   p[[
	   - Если жизнь тебя обманет,]];
	                end;
	if w == anya1 then
	   inv():del('anya1'); 
	   if q1 == 2 then q2 = q2 + 1; end;
	   p[[
	   - Не печалься, не сердись!]];
	                end;
	if w == denis1 then
	   inv():del('denis1'); 
	   if q1 == 3 then q2 = q2 + 1; end;
	   p[[
	   - В день уныния смирись:]];
	                end;
	if w == elena1 then
	   inv():del('elena1'); 
	   if q1 == 4 then q2 = q2 + 1; end;
	   p[[
	   - День веселья, верь, настанет.]];
	                end;
	if w == jena1 then
	   inv():del('jena1'); 
	   if q1 == 5 then q2 = q2 + 1; end;
	   p[[
	   - Сердце в будущем живёт;]];
	                end;
	if w == diana1 then
	   inv():del('diana1'); 
	   if q1 == 6 then q2 = q2 + 1; end;
	   p[[
	   - Настоящее уныло:]];
	                end;
	if w == artem1 then
	   inv():del('artem1');
	   if q1 == 7 then q2 = q2 + 1; end;
	   if q2 < 7 then p[[- Всё мгновенно, всё пройдёт;]];
	   else p[[
	   - Всё мгновенно, всё пройдёт;
	   ^- Что пройдёт, то будет мило.]];end;
	   
	                end;                                                                                
	end;
};
loc47 = room {
    pic = 'data/32.jpg';
	nam = "Сцена у костра";
	obj = {fire,
   vway("a1", [[Надя могла {обернуться}.]], 'loc48');
	},
	enter = function() q1 = 0; q2 = 0;
	set_music('data/2.ogg');
	end,
};
loc48 = room {
    pic = 'data/33.jpg';
	nam = "ЗАНАВЕС";
	dsc = [[
	В газетах написали следующее:
	"На лесной экскурсии группа школьников подверглась нападению 
	бешеного волка. На крики прибежал водитель школьного автобуса и 
	 пристрелил волка из пистолета, но было уже поздно. Семь школьников 
	и их молодая учительница погибли. Не выдержав трагедии, водитель пустил себе пулю в голову. 
	Откуда у водителя взялся пистолет, пока не известно. Проводится следствие."
	]];
	enter = function()
	   set_music('data/4.ogg');
	   inv():del('nikita1'); inv():del('anya1'); inv():del('denis1'); inv():del('elena1');
	   inv():del('jena1'); inv():del('diana1'); inv():del('artem1');
	   if q2 == 7 then goto('loc49');end;
	end,
};
loc49 = room {
    pic = 'data/34.jpg';
	nam = "Волк и семеро козлят";
 obj = {
   vway("a1",  [[
	Из кустов вышел водитель, сжимая в руках пистолет:
	^- К вам пришёл добрый дядя Петя... Я убью и съем вас, дети!
	^Услышав за спиной испуганные хныканья, Надя встала у монстра на пути.
	^- Я не дам тебе никому причинить вред! Я буду защищать их до конца!
	^- Защищать... это всё ложь! У меня была дочь. И она умерла. 
	Я не смог её защитить. Я... ничего не смог!
	^- Но она любила тебя... и не хотела бы видеть таким...
	^- Дочка... я никогда... прости меня...
	^Пётр Иванович поднёс дуло к виску и нажал {курок}.
	]],'loc50');
 };
	enter = function()
	   set_music('data/6.ogg');
	end,
};
loc50 = room{
       pic = 'data/35.jpg';
       nam = 'СКАЗКА О НАДЕЖДЕ';
       dsc = [[Раздался выстрел. Тело водителя упало в траву. 
       ^Надя собрала детей вокруг себя и крепко обняла.
       ^- Не волнуйтесь, ребята, всё будет хорошо, - заплакала она.
       ^Лес тревожно и торжественно шумел. 
       Ветер развивал длинные волосы Надежды.
       На короткий миг она почувствовала себя волшебницей.  И затем, утерев слёзы, 
       стала набирать на мобильном службу спасения. 
       ]];
    enter = function()
	   set_music('data/1.ogg');
	end,       
};
